#ifndef FEEDRENDERER_H
#define FEEDRENDERER_H

#include "feedinterface.h"
#include <QUrl>


class QTextEdit;

class FeedRenderer
{
public:    
    virtual void renderEntries(const QVector< FeedEntry >& entries, QTextEdit& editor) = 0;
    // will be set to base url of rendered item - only implement if necessary
    virtual QUrl baseUrl() { return QUrl(); };
};

class TrivialFeedRenderer : public FeedRenderer
{
public:
    TrivialFeedRenderer();
    void renderEntries(const QVector< FeedEntry >& entries, QTextEdit& editor);
    //virtual QString toHtml(const QVector< FeedEntry >& entries);
};

class FileContentRenderer : public FeedRenderer
{
public:
    FileContentRenderer();
    void renderEntries(const QVector< FeedEntry >& entries, QTextEdit& editor);
    QUrl baseUrl();

private:
    QUrl m_baseUrl;

    //virtual QString toHtml(const QVector< FeedEntry >& entries);
};


#endif // FEEDRENDERER_H
